Public Class copilottile
    Private player14 As New MediaPlayer()
    Private Sub UserControl_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        PlayAccentSound()
        Process.Start("https://www.bing.com/chat?q=")
    End Sub

    Private Sub UserControl_Loaded(sender As Object, e As RoutedEventArgs)
        Try
            My.Settings.Reload()
        Catch

            My.Settings.mecolor = "#19A2DE"

            Dim bluecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            coplitot.Background = New System.Windows.Media.SolidColorBrush(bluecolor)
        End Try

        Dim colortile214Timer = New System.Windows.Threading.DispatcherTimer()
        AddHandler colortile214Timer.Tick, AddressOf colortile214Timer_Tick
        colortile214Timer.Interval = New TimeSpan(0, 0, 1)
        colortile214Timer.Start()
    End Sub

    Private Sub colortile214Timer_Tick(sender As Object, e As EventArgs)
        Try
            Dim mytilecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            coplitot.Background = New System.Windows.Media.SolidColorBrush(mytilecolor)
        Catch
        End Try
    End Sub

    Private Sub PlayAccentSound()
        Try
            player14.Volume = 1.0
            player14.Open(New Uri("beltonen/wp7_pressed.mp3", UriKind.Relative))
            player14.Play()
        Catch ex As Exception
            MessageBox.Show("Error playing sound: " & ex.Message)
        End Try
    End Sub

End Class
